QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

ICON +=

SOURCES += \
    main.cpp \
    numlockmanager.cpp

HEADERS += \
    config.h \
    modethread.h \
    numlockmanager.h \
    statusshow.h

FORMS += \
    numlockmanager.ui


win32:RC_FILE = file.rc

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

DISTFILES += \
    file.rc \
    src/icons/check_radio_c_0.png \
    src/icons/check_radio_c_1.png \
    src/icons/check_radio_r_0.png \
    src/icons/check_radio_r_1.png \
    src/icons/num_lock_icon_off.png \
    src/icons/num_lock_icon_on.png
